Page MenuHomePhabricator

NeedCaptcha (MediawikiApi::CreateAccountError) in MultimediaViewer browser tests
Closed, ResolvedPublic

Description

browsertests-MultimediaViewer-www.mediawiki.org-linux-firefox-sauce jenkins jobs fails with NeedCaptcha (MediawikiApi::CreateAccountError) error message.

https://integration.wikimedia.org/ci/view/BrowserTests/view/MultimediaViewer/job/browsertests-MultimediaViewer-www.mediawiki.org-linux-firefox-sauce/909/consoleFull

...
00:00:14.167 Feature: Multimedia Viewer performance
00:00:14.167 
00:00:14.167   Background:                                                      # features/mmv.performance.feature:4
00:00:16.170     Given I am using a custom user agent                           # features/step_definitions/mmv_performance_steps.rb:26
00:00:16.170     And I am at a wiki article with at least two embedded pictures # features/step_definitions/mmv_steps.rb:3
00:00:16.170       NeedCaptcha (MediawikiApi::CreateAccountError)
00:00:16.170       /mnt/home/jenkins-deploy/.gem/2.0.0/gems/mediawiki_api-0.5.0/lib/mediawiki_api/client.rb:57:in `create_account'
...

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2016, 1:40 PM
zeljkofilipin triaged this task as Normal priority.Mar 10 2016, 2:08 PM

Change 276469 had a related patch set uploaded (by Zfilipin):
Set MEDIAWIKI_ENVIRONMENT environment variable for MultimediaViewer browsertests job

https://gerrit.wikimedia.org/r/276469

Change 276469 merged by jenkins-bot:
Set MEDIAWIKI_ENVIRONMENT environment variable for MultimediaViewer browsertests job

https://gerrit.wikimedia.org/r/276469

Problem still exists :/

Yes. We can solve problems one by one, but until T128190 is resolved, I do not think this job will run fine. :|

zeljkofilipin removed zeljkofilipin as the assignee of this task.Apr 8 2016, 11:08 AM
hashar removed a subscriber: hashar.Apr 8 2016, 11:51 AM
zeljkofilipin closed this task as Resolved.May 10 2016, 1:44 PM
zeljkofilipin claimed this task.

Resolved by T128190.

Restricted Application added a project: Multimedia. · View Herald TranscriptMar 6 2018, 11:55 PM